Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Install the latest Adobe flash player, the rpm way

  1. #1
    Join Date
    Jun 2008
    Location
    Mangalore, Karnataka, India
    Posts
    146

    Default Install the latest Adobe flash player, the rpm way

    Make sure all firefox windows are closed

    Press Alt and F2
    Type YaST or yast2 and press ENTER
    Key in your root password and press ENTER
    Click on software management
    Search for flash
    Mark flash-player for uninstallation and click Accept
    Close YaST

    Visit

    Adobe - Adobe Flash Player

    and click on the dropdown list to select the version for download. Select the .rpm version and download it
    After you have downloaded it, close all firefox windows. Then right click on the rpm and select Open With->Install software
    Key in your root password and press ENTER, it will install in a jiffy, as if nothing has happened :-P

    Now Press Alt and F2, and type konsole or gnome-terminal and press ENTER
    Type

    sudo cp /usr/lib/flash-plugin/libflashplayer.so /usr/lib/browser-plugins/

    and press ENTER

    You're done !
    nucleuskore
    "The Future Is Open"
    http://www.neville.in
    http://www.linuxrocks.in

  2. #2
    sedo89 NNTP User

    Default Re: Install the latest Adobe flash player, the rpm way

    after typing the command in the terminal, i'm asked for my root password but it doesn't react when i typ (no letters appear). My keyboard works fine apart from this. Any idea what's going wrong?

  3. #3
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Install the latest Adobe flash player, the rpm way

    Yeah that's normal. It doesn't echo the password or print *s or anything like that. But if it's correct, you will be permitted to continue after hitting return.

  4. #4
    Join Date
    Jun 2008
    Location
    Wales, MA
    Posts
    486

    Default Re: Install the latest Adobe flash player, the rpm way

    If you are using openSUSE 11.1 you already have the latest version of flash.

  5. #5
    nick_perfect NNTP User

    Talking Re: Install the latest Adobe flash player, the rpm way

    Many thanks for this guide, to a newbie like me this was very useful.

  6. #6
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,844

    Default Re: Install the latest Adobe flash player, the rpm way

    The RPM package in Adobe's site is for i386. Can it be installed in x86_64 opensuse 11.0/11.1? The installed FF 3.08 is the 64-bit version.

  7. #7

    Default Re: Install the latest Adobe flash player, the rpm way

    i have succesly downloaded the new flash player thanks for all the help.. but the problem is that my computer still ask me to download it.. and when i agree it says i have it! which i do!!! and my javascccript is enable.. but still the computer says that i need to install it to se some websides!!!
    any idea of what it could be... i have istalled it from get.adobe.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Install the latest Adobe flash player, the rpm way

    Open a terminal and post result of the following:

    Code:
    uname -a
    Code:
    rpm -qi flash-player
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: Install the latest Adobe flash player, the rpm way

    I'm having trouble installing flash player or plugin or whatever, also and of course I can't view youtube videos, in firefox, nor in opera, which of course I want to do.

    When I do
    Code:
    rpm -qi flash-player
    I get
    Code:
    flash-player is not installed
    Yet opera is already hooked up to find flashplugin.so

    In yast, I see listing of
    coreboot-utils (univ flash pgmg util)
    flash-player (after a green checkmark w 3 dots under it)
    flash-plugin (after a blackbox with white checkmark)
    gnash (after an empty box)
    libflashsupport
    libflashsupport-32bit
    pullin-flash-player
    swfdec (a free flash player)
    swfdec-devel
    swfdec-doc (a free flash player)
    swfdec-gnome
    swfdec-gnome-lang

    Which of these do i need to uninstall before installing the flash rpm?

    How do I mark for uninstall - why do dif listings have differnt-looking checkmarks?

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Install the latest Adobe flash player, the rpm way

    If you get this
    flash-player (after a green checkmark w 3 dots under it)
    It means it is due to be installed
    click accept in yast - what happens

    edit:
    Can you start an new thread and PM me the link
    save cluttering this HowTo
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •